/* $Id: platform_win.h 7614 2013-04-25 21:46:10Z chris $ */

/*
  Code adapted from the samples at:
  http://www.cdtool.pwp.blueyonder.co.uk/workshop.htm
*/


#ifndef PLATFORM_WIN_H
#define PLATFORM_WIN_H

#include <windows.h>
#include <winioctl.h>
#include <stdio.h>
#include <stdint.h>
#include <errno.h>

typedef HANDLE device_handle;

int open_device(const char* device_name, device_handle *handle);
int close_device(device_handle handle);

int read_sector_raw_subchannels(device_handle handle, size_t sector, size_t sector_count, uint8_t *data);

#endif
